Summary:	A graphical interface for administering users and groups
Name:		userdrake
Version:	1.14
Release:	6
License:	GPL
Group:		System/Configuration/Other
Url:		https://abf.rosalinux.ru/omv_software/userdrake
#cvs source
# http://www.mandrivalinux.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.xz
Patch0:		userdrake-1.13.2-mdv_to_rosa.patch
Patch1:         userdrake-1.13.2-fix-new-user-groups.patch
Patch2:         userdrake-1.14-homedir-permissions.patch
BuildRequires:	gettext
BuildRequires:	pam-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libuser)
BuildRequires:	pkgconfig(glib-2.0)
Requires:	drakxtools
Requires:	libuser
Requires:	transfugdrake
Requires:	usermode-consoleonly
Suggests:	xguest

%description
Userdrake is a user-friendly and powerful tool for administrating users and 
groups. It depends on the libuser library. 

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd USER
perl Makefile.PL INSTALLDIRS=vendor 
cd ..
make OPTIMIZE="%{optflags} -w" 

%install
make PREFIX=%{buildroot} install 

cd USER
%makeinstall_std
cd ..

#install lang
%find_lang userdrake

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-userdrake.desktop <<EOF
[Desktop Entry]
Name=User Administration
Comment=Add or remove users and groups
Exec=/usr/bin/userdrake
Icon=userdrake
Type=Application
StartupNotify=true
Categories=GTK;System;X-MandrivaLinux-CrossDesktop;
NoDisplay=true
EOF

# consolehelper configuration
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/userdrake
ln -sf %{_bindir}/userdrake %{buildroot}%{_bindir}/drakuser
mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat > %{buildroot}%{_sysconfdir}/pam.d/userdrake <<EOF
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
cat > %{buildroot}%{_sysconfdir}/security/console.apps/userdrake <<EOF
USER=root
PROGRAM=/usr/sbin/userdrake
FALLBACK=false
SESSION=true
EOF

# userdrake <-> drakuser
ln -s %{_sysconfdir}/pam.d/userdrake %{buildroot}%{_sysconfdir}/pam.d/drakuser
ln -s %{_sysconfdir}/security/console.apps/userdrake \
        %{buildroot}%{_sysconfdir}/security/console.apps/drakuser

%files -f userdrake.lang
%doc README COPYING RELEASE_NOTES
%config(noreplace) %{_sysconfdir}/sysconfig/userdrake
%config(noreplace) %{_sysconfdir}/pam.d/userdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/userdrake
# two symlinks in sysconfdir
%{_sysconfdir}/pam.d/drakuser
%{_sysconfdir}/security/console.apps/drakuser
%{_prefix}/bin/*
%{_prefix}/sbin/*
%{_datadir}/userdrake
%{_mandir}/man3/USER*
%{_datadir}/applications/mandriva-*.desktop
%{perl_vendorarch}/USER.pm
%{perl_vendorarch}/auto/USER
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Mon Oct 06 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.14-6
+ Revision: aaec872
- Default permissions for home directory 0755


